﻿/*   
  LegalConnect Smarty Address plugin stylesheet (for RL-4392).  For your page that uses
  the plugin, you can choose to include this stylesheet on your page; or you can
  override the following css classes yourself.
*/ 
.control-label-lg {
    margin-left:10px;
    margin-right:5px;
    font-size:14px !important;
    font-weight:bold;
    width: 130px;
    text-align:right;
    display:inline-block;
}

.modal.modal-narrow .modal-dialog{
    max-width: 540px;
}

.modal-footer.modal-content-center {
    justify-content: center;
}

.validation-msg-lg {
    margin-left: 150px;
    font-size: 14px;
    font-weight: bold;
}

.btn-address-group-middle{
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5px;
}

.btn-address-save {
    display:block;
    width:150px;
    margin:3px 6px 0 3px;
    padding:5px;
    font-size:14px !important;
    font-weight:bold;
    text-decoration: none;
    text-align: center;
    outline-style:none;
    background-color: #4285f4 !important; /*RL-5236: changed background color from gray to blue*/
    border: 1px solid #4285f4; /*RL-5236: changed border color to blue*/
    border-radius: 5px;
    -moz-border-radius  : 5px; 
    -webkit-border-radius: 5px;    
    color: #fff !important; /*RL-5236: set text color to white*/
}

.btn-address-cancel{
    font-size:14px;
    text-decoration: underline;
    text-align: center;
    color:#dfeffc;
    cursor: pointer;
}

.modal-footer{
    border: none;
    padding-top:0px;
    padding-bottom: 30px;
}

.close {
    font-size: 21px !important;
}

.lc-verifyaddress * { /* sets the font style for all elements */
     font-family: 'Nunito', sans-serif !important;
}

.lc-verifyaddress select, .lc-verifyaddress input[type="text"] {
    font-size: 16px;
    font-weight: 300;
    width: 250px;
    margin-top: 8px;
    margin-bottom: 8px;
    margin-right:15px;
    margin-left: 0px;
    padding-top:8px;
    padding-bottom:8px;
    padding-left:8px;
    border: 1px solid #cccccc;
}

/* RL-11760: control the width percentage of the address autocomplete textbox */
:root {
    --verifyaddress-width: 100%;
}

.googleSingleSimpleAddress input[name='freeform'] {
    width: var(--verifyaddress-width);
    margin: 0;
    height: 40px;
    font: normal 1em 'Lucida Grande','Lucida Sans',Arial,sans-serif !important;
}